# OsiLink Class Reference

Define Special Linked Ordered Sets. More...

`#include <CbcLinked.hpp>`

Inheritance diagram for OsiLink:
[legend]
Collaboration diagram for OsiLink:
[legend]

List of all members.

## Public Member Functions
| OsiLink ()
| OsiLink (const OsiSolverInterface *solver, int yRow, int yColumn, double meshSize)
| Useful constructor -.
| OsiLink (const OsiLink &)
virtual OsiObject * | clone () const
| Clone.
OsiLink & | operator= (const OsiLink &rhs)
virtual | ~OsiLink ()
virtual double | infeasibility (const OsiBranchingInformation *info, int &whichWay) const
| Infeasibility - large is 0.5.
virtual double | feasibleRegion (OsiSolverInterface *solver, const OsiBranchingInformation *info) const
| Set bounds to fix the variable at the current (integer) value.
virtual OsiBranchingObject * | createBranch (OsiSolverInterface *solver, const OsiBranchingInformation *info, int way) const
| Creates a branching object.
virtual void | resetSequenceEtc (int numberColumns, const int *originalColumns)
| Redoes data when sequence numbers change.
int | numberLinks () const
| Number of links for each member.
virtual bool | canDoHeuristics () const
| Return true if object can take part in normal heuristics.
virtual bool | boundBranch () const
| Return true if branch should only bound variables.
## Private Attributes
double | meshSize_
| data Current increment for y points
OsiOneLink * | data_
| Links.
int | numberLinks_
| Number of links.
int | yRow_
| Row which defines y.
int | yColumn_
| Column which defines y.

## Detailed Description

Define Special Linked Ordered Sets.

New style

members and weights may be stored in SOS object

This is for y and x*f(y) and z*g(y) etc

Definition at line 600 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiLink::OsiLink | ( |  | ) |

OsiLink::OsiLink | ( | const OsiSolverInterface * | solver,
|  | int | yRow,
|  | int | yColumn,
|  | double | meshSize |
| ) |  |  |

Useful constructor -.

OsiLink::OsiLink | ( | const OsiLink & |  | ) |

virtual OsiLink::~OsiLink | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual OsiObject* OsiLink::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from OsiSOS.

OsiLink& OsiLink::operator= | ( | const OsiLink & | rhs | ) |

Reimplemented from OsiSOS.

virtual double OsiLink::infeasibility | ( | const OsiBranchingInformation * | info,
|  | int & | whichWay |
| ) |  |  | const`[virtual]`

Infeasibility - large is 0.5.

Reimplemented from OsiSOS.

virtual double OsiLink::feasibleRegion | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info |
| ) |  |  | const`[virtual]`

Set bounds to fix the variable at the current (integer) value.

Given an integer value, set the lower and upper bounds to fix the variable. Returns amount it had to move variable.

Reimplemented from OsiSOS.

virtual OsiBranchingObject* OsiLink::createBranch | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | int | way |
| ) |  |  | const`[virtual]`

Creates a branching object.

The preferred direction is set by `way`, 0 for down, 1 for up.

Reimplemented from OsiSOS.

virtual void OsiLink::resetSequenceEtc | ( | int | numberColumns,
|  | const int * | originalColumns |
| ) |  |  | `[virtual]`

Redoes data when sequence numbers change.

Reimplemented from OsiSOS.

int OsiLink::numberLinks | ( |  | ) | const`[inline]`

Number of links for each member.

Definition at line 647 of file CbcLinked.hpp.

virtual bool OsiLink::canDoHeuristics | ( |  | ) | const`[inline, virtual]`

Return true if object can take part in normal heuristics.

Reimplemented from OsiSOS.

Definition at line 653 of file CbcLinked.hpp.

virtual bool OsiLink::boundBranch | ( |  | ) | const`[inline, virtual]`

Return true if branch should only bound variables.

Reimplemented from OsiObject.

Definition at line 658 of file CbcLinked.hpp.

## Member Data Documentation

double OsiLink::meshSize_`[private]`

data Current increment for y points

Definition at line 665 of file CbcLinked.hpp.

OsiOneLink* OsiLink::data_`[private]`

Links.

Definition at line 667 of file CbcLinked.hpp.

int OsiLink::numberLinks_`[private]`

Number of links.

Definition at line 669 of file CbcLinked.hpp.

int OsiLink::yRow_`[private]`

Row which defines y.

Definition at line 671 of file CbcLinked.hpp.

int OsiLink::yColumn_`[private]`

Column which defines y.

Definition at line 673 of file CbcLinked.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines